import { defineComponent, ref, watch } from 'vue';
import styles from './index.module.less';
import { Vue3Lottie } from 'vue3-lottie';
import loadingBg from './images/loading.json';

export default defineComponent({
  name: 'loading',
  props: {
    /** 提示文案 */
    tipText: {
      type: String,
      default: '资源加载中...'
    }
  },
  setup(props) {
    return () => (
      <div class={[styles.loadingPop,"osmdLoadingPop"]}>
        <div class={styles.loadingBox}>
          <Vue3Lottie
            class={styles.lottie}
            animationData={loadingBg}></Vue3Lottie>
          <div class={styles.loadingTip}>{props.tipText}</div>
        </div>
      </div>
    );
  }
});
